Package Details: mpdris2-py3-git 0.7.r48.g1231f84-1

Git Clone URL: https://aur.archlinux.org/mpdris2-py3-git.git (read-only, click to copy)
Package Base: mpdris2-py3-git
Description: MPRIS2 support for MPD using Python 3 -- git version
Upstream URL: https://github.com/eonpatapon/mpDris2
Licenses: GPL3
Conflicts: mpdris2
Provides: mpdris2
Submitter: Schnouki
Maintainer: Schnouki
Last Packager: Schnouki
Votes: 5
Popularity: 0.50
First Submitted: 2018-03-27 11:52
Last Updated: 2018-03-27 11:52

Dependencies (8)

Required by (2)

Sources (1)

Latest Comments

m040601 commented on 2021-05-28 22:18

Adding to what @FichteFoll said:

This PKGBUILD was last updated in 2018. Since then the standard python in Arch is python 3.

Nobody uses python 2 for this anymore. Python 3 is what the standard version , https://aur.archlinux.org/packages/mpdris2, uses.

So there's no need to call this one:

Description     : MPRIS2 support for MPD using Python 3 -- git version

it should be just:

Description     : MPRIS2 support for MPD  -- git version

So as to not confuse users.

And since it's been 3 years since the last update make sure to test and verify the dependencies. They do not match.

This one has

Depends On      : python-dbus  python-mpd2  libnotify  python-gobject
Make Deps       : git  intltool
Check Deps      : None
Optional Deps   : mutagen  python-gobject

Whereas, https://aur.archlinux.org/packages/mpdris2 has:

Depends On      : python-dbus  python-gobject  python-mpd2
Make Deps       : intltool
Check Deps      : None
Optional Deps   : python-mutagen  libnotify

FichteFoll commented on 2021-01-18 16:45

Since Python 3 is the default for upstream master (for quite a while), maybe rename to just mpdris2-git?

bergentroll commented on 2019-01-04 15:06

Actually not a mutagen, but a python-mutagen is a dependency. Take a look at /usr/bin/mpdris2:

44 try:$

45 ····import·mutagen$

46 except·ImportError:$

47 ····mutagen·=·None$